# vkReleaseProfilingLockKHR(3) Manual Page

## Name

vkReleaseProfilingLockKHR - Releases the profiling lock

## C Specification

To release the profiling lock, call:

    void vkReleaseProfilingLockKHR(
        VkDevice                                    device);

## Parameters

- `device` is the logical device to cease profiling on.

## Description

Valid Usage

- The profiling lock of `device` must have been held via a previous successful call to vkAcquireProfilingLockKHR

Valid Usage (Implicit)

- `device` must be a valid VkDevice handle

## See Also

VkDevice

## Document Notes

For more information, see the Vulkan Specification

This page is extracted from the Vulkan Specification. Fixes and changes should be made to the Specification, not directly.

## Copyright

Copyright (c) 2014-2020 Khronos Group. This work is licensed under a Creative Commons Attribution 4.0 International License.